R4i SDHC Cards Officially Unable to Update

While it has been unofficially known for a while that older R4i cards are unable to be updated to be compatible with the newest Nintendo DSi 1.4.1 firmware, R4DSRevolution have finally gotten confirmation from the R4i SDHC team to confirm that the card simply does not have the capability to update.

 


to    Nintendo DS Card News <
news@nintendodscards.comThis e-mail address is being protected from spambots. You need JavaScript enabled to view it
>
date    Mon, Jan 10, 2011 at 1:41 PM
subject    RE: Re: Re: Re: New R4i SDHC 1.4.1 Cards

Hello,

R4i V1.4 can not work with DSI V1.41. You will need a new R4i V1.41 to play with DSI V1.41.

B,rgds!

Nikita
R4i-sdhc.com service team


 

This e-mail came to us, as you can see, after Christmas – however, we wish to highlight that even well before Christmas, the R4i ‘sales team’ were deliberately lying both to us and their customers to try and increase their holiday sales:

 


to    Nintendo DS Card News <
news@nintendodscards.comThis e-mail address is being protected from spambots. You need JavaScript enabled to view it
>
date    Mon, Nov 8, 2010 at 1:57 PM
subject    Re: Re: Re: New R4i SDHC 1.4.1 Cards

ten days more around for r4i 1.4.1 fix for old 1.4 cards!

B,rgds!

Cathy
www.r4i-sdhc.com service center


These are only 2 e-mails out of more than 25 sent back and forth between ourselves and the R4i team trying to bring the truth out of the manufacturer, but they are the ones with the most important information – the R4i is officially not updatable and people will require buying a new card to continue using an R4i card with the 1.4.1 firmware.

The R4i SDHC card is without a doubt the cheapest card on the market, that works well with the DSi and the DSi XL consoles (the new 1.4.1 version). This cannot be taken away from the R4i team, and the WiFi Engine technology they use is pretty useful as well! However, we wish to emphasise that this is only suitable for homebrew users that really cannot afford a more expensive card, and for anybody else wishing to buy a DSi-compatible card we recommend that FOR SERIOUS USERS, DO NOT BUY THE R4i CARD. Other cards that are updatable and thus superior in the long run include the iEDGE, Acekard 2i, and EZFlash Vi among others.

 

You can buy genuine R4i cards (for those who still require a basic card, it still does work!) as well as other, more globally compatible cards from stores on our Where to Buy DS Cards page – NDS-Gear.com (U.K./Europe recommended) and DSCardWorld.com (U.S./Canada recommended).